<?php

    include("../../classes/database.class.php");
    include("../../classes/configuracaoModel.class.php");
    include("../../classes/configuracaoController.class.php");

        $titulo = $_POST["titulo"];
        $rodape = $_POST["rodape"];
        $endereco = $_POST["endereco"];
        $telefone = $_POST["telefone"];
        $email = $_POST["email"];
        $nif = $_POST["nif"];
        $site = $_POST["site"];
        $categoriaEmpresa = $_POST["categoriaEmpresa"];

        $img_antiga = $_POST["img_antiga"];

        $ficheiro = $_FILES['file'];
        $nomeFicheiro = $ficheiro["name"];
        $tipoFicheiro = $ficheiro["type"];
        $nomeTemporarioFicheiro = $ficheiro["tmp_name"];
        $erroFicheiro = $ficheiro["error"];
        $tamanhoFicheiro = $ficheiro["size"];
        $extensaoFicheiro = explode(".", $nomeFicheiro);
        $extensaoActualFicheiro = strtolower(end($extensaoFicheiro));
        $permitido = array("jpg", "jpeg", "png");

        $config = new ConfiguracaoController();
        if($nomeFicheiro != null){
            $config->setImagem($ficheiro, $nomeFicheiro, $tipoFicheiro, $nomeTemporarioFicheiro, $erroFicheiro, $tamanhoFicheiro, $extensaoFicheiro, $extensaoActualFicheiro, $permitido);
            $config->eraseOldImg($img_antiga);
        }
        if($titulo != null){
            $config->setTitulo($titulo);
        }
        if($telefone != null){
            $config->setTelefone($telefone);
        }
        if($email != null){
            $config->setEmail($email);
        }
        if($endereco != null){
            $config->setEndereco($endereco);
        }
        if($rodape != null){
            $config->setRodape($rodape);
        }
        if($nif != null){
            $config->setNif($nif);
        }
        if($site != null){
            $config->setSite($site);
        }

        if($categoriaEmpresa != null){
            $config->setCategoriaEmpresa($categoriaEmpresa);
        }

        //echo json_encode($rows);